Tool: list_clusters
List Dataproc clusters in a Google Cloud project
The following sample demonstrate how to use curl to invoke the list_clusters MCP tool.
| Curl Request |
|---|
curl --location 'https://dataproc.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "list_clusters", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
A request to list the clusters in a project.
ListClustersRequest
| JSON representation |
|---|
{ "projectId": string, "region": string, "filter": string, "pageSize": integer, "pageToken": string } |
| Fields | |
|---|---|
projectId |
Required. The ID of the Google Cloud Platform project that the cluster belongs to. |
region |
Required. The Dataproc region in which to handle the request. |
filter |
Optional. A filter constraining the clusters to list. Filters are case-sensitive and have the following syntax: field = value [AND [field = value]] ... where field is one of Example filter: status.state = ACTIVE AND clusterName = mycluster AND labels.env = staging AND labels.starred = * |
pageSize |
Optional. The maximum number of clusters to return in each response. The service may return fewer than this value. If unspecified, the default value is 200. The maximum value is 1000. |
pageToken |
Optional. A page token received from a previous |
Output Schema
The list of all clusters in a project.
ListClustersResponse
| JSON representation |
|---|
{
"clusters": [
{
object ( |
| Fields | |
|---|---|
clusters[] |
The clusters in the project. |
nextPageToken |
This token is included in the response if there are more results to fetch. To fetch additional results, provide this value as the |
Cluster
| JSON representation |
|---|
{
"projectId": string,
"clusterName": string,
"clusterUuid": string,
"status": {
object ( |
| Fields | |
|---|---|
projectId |
The Google Cloud Platform project ID that the cluster belongs to. |
clusterName |
The cluster name. |
clusterUuid |
A cluster UUID (Unique Universal Identifier). Dataproc generates this value when it creates the cluster. |
status |
Cluster status. |
ClusterStatus
| JSON representation |
|---|
{ "state": enum ( |
| Fields | |
|---|---|
state |
Output only. The cluster's state. |
detail |
Optional. Output only. Details of cluster's state. |
stateStartTime |
Output only. Time when this state was entered (see JSON representation of Timestamp). Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
substate |
Output only. Additional state information that includes status reported by the agent. |
Timestamp
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
nanos |
Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |
Tool Annotations
Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ✅ | Open World Hint: ❌